3.0.7 upgrade problems

Hi,

I upgraded to 3.0.7rc1, and now users can’t take tickets (they experience a
system error, described below). I upgraded to 3.0.7, and the same error
occurs. I am using PostgreSQL 7.3.4, Apache 1.3.28, mod_perl 1.28, Mac OS X
10.2.8, with all RT dependencies up to date (e.g. DBIx::SearchBuilder 0.94).
Additional note: I followed the directions in the UPGRADING document, with the
exception that I added a semi-colon to the third postscript-specific line.

-Kevin

P.S. Here’s the error which occurs when a user steals/takes a ticket:

System error

error:
Can’t call method “Delete” on an undefined value at
/usr/local/rt3/lib/RT/Ticket_Overlay.pm line 3105.

context:

3101:
3102:

Delete the owner in the owner group, then add a new one

3103:

TODO: is this safe? it’s not how we really want the API to work

3104:

for most things, but it’s fast.

3105:
my ( $del_id, $del_msg ) = $self->OwnerGroup->MembersObj->First->Delete();
3106:
unless ($del_id) {
3107:
$RT::Handle->Rollback();
3108:
return ( 0, $self->loc("Could not change owner. ") . $del_msg );
3109:
}

code stack:
/usr/local/rt3/lib/RT/Ticket_Overlay.pm:3105
/usr/local/rt3/lib/RT/Ticket_Overlay.pm:3203
/usr/local/rt3/share/html/Ticket/Display.html:88
/usr/local/rt3/share/html/autohandler:189
raw error

You’ve stopped and started apache fully?On Mon, Nov 17, 2003 at 09:39:14PM -0500, Kevin Murphy wrote:

Hi,

I upgraded to 3.0.7rc1, and now users can’t take tickets (they experience a
system error, described below). I upgraded to 3.0.7, and the same error
occurs. I am using PostgreSQL 7.3.4, Apache 1.3.28, mod_perl 1.28, Mac OS X
10.2.8, with all RT dependencies up to date (e.g. DBIx::SearchBuilder 0.94).
Additional note: I followed the directions in the UPGRADING document, with the
exception that I added a semi-colon to the third postscript-specific line.

-Kevin

P.S. Here’s the error which occurs when a user steals/takes a ticket:

System error

error:
Can’t call method “Delete” on an undefined value at
/usr/local/rt3/lib/RT/Ticket_Overlay.pm line 3105.

context:

3101:
3102:

Delete the owner in the owner group, then add a new one

3103:

TODO: is this safe? it’s not how we really want the API to work

3104:

for most things, but it’s fast.

3105:
my ( $del_id, $del_msg ) = $self->OwnerGroup->MembersObj->First->Delete();
3106:
unless ($del_id) {
3107:
$RT::Handle->Rollback();
3108:
return ( 0, $self->loc("Could not change owner. ") . $del_msg );
3109:
}

code stack:
/usr/local/rt3/lib/RT/Ticket_Overlay.pm:3105
/usr/local/rt3/lib/RT/Ticket_Overlay.pm:3203
/usr/local/rt3/share/html/Ticket/Display.html:88
/usr/local/rt3/share/html/autohandler:189
raw error


rt-users mailing list
rt-users@lists.fsck.com
http://lists.fsck.com/mailman/listinfo/rt-users

Have you read the FAQ? The RT FAQ Manager lives at http://fsck.com/rtfm

Request Tracker — Best Practical Solutions – Trouble Ticketing. Free.

Yes, a full ‘stop’, then a ‘start’. I also notice that the “10 highest
priority tickets I requested…” section is blank on the home page. I
haven’t looked at the logs yet …

-KevinOn Monday 17 November 2003 10:29 pm, Jesse Vincent wrote:

You’ve stopped and started apache fully?

On Mon, Nov 17, 2003 at 09:39:14PM -0500, Kevin Murphy wrote:

Hi,

I upgraded to 3.0.7rc1, and now users can’t take tickets (they experience
a system error, described below). I upgraded to 3.0.7, and the same
error occurs. I am using PostgreSQL 7.3.4, Apache 1.3.28, mod_perl 1.28,
Mac OS X 10.2.8, with all RT dependencies up to date (e.g.
DBIx::SearchBuilder 0.94). Additional note: I followed the directions in
the UPGRADING document, with the exception that I added a semi-colon to
the third postscript-specific line.

Yes, a full ‘stop’, then a ‘start’. I also notice that the “10 highest
priority tickets I requested…” section is blank on the home page. I
haven’t looked at the logs yet …

You’ve seen the note about how the UPGRADING instructions have a typo?
I’m currently in the process of releasing 3.0.7_01 to correct them.

-Kevin

You’ve stopped and started apache fully?

Hi,

I upgraded to 3.0.7rc1, and now users can’t take tickets (they experience
a system error, described below). I upgraded to 3.0.7, and the same
error occurs. I am using PostgreSQL 7.3.4, Apache 1.3.28, mod_perl 1.28,
Mac OS X 10.2.8, with all RT dependencies up to date (e.g.
DBIx::SearchBuilder 0.94). Additional note: I followed the directions in
the UPGRADING document, with the exception that I added a semi-colon to
the third postscript-specific line.


rt-users mailing list
rt-users@lists.fsck.com
http://lists.fsck.com/mailman/listinfo/rt-users

Have you read the FAQ? The RT FAQ Manager lives at http://fsck.com/rtfm

Request Tracker — Best Practical Solutions – Trouble Ticketing. Free.

Yes, a full ‘stop’, then a ‘start’. I also notice that the “10 highest
priority tickets I requested…” section is blank on the home page. I
haven’t looked at the logs yet …
I had this happen, and the issue was the typo in the PostgreSQL upgrade.

I had to UNDO the drop column, redo the update statement using the corrected
btrim.

LER

-Kevin

You’ve stopped and started apache fully?

Hi,

I upgraded to 3.0.7rc1, and now users can’t take tickets (they
experience a system error, described below). I upgraded to 3.0.7, and
the same error occurs. I am using PostgreSQL 7.3.4, Apache 1.3.28,
mod_perl 1.28, Mac OS X 10.2.8, with all RT dependencies up to date
(e.g.
DBIx::SearchBuilder 0.94). Additional note: I followed the directions
in the UPGRADING document, with the exception that I added a
semi-colon to the third postscript-specific line.


rt-users mailing list
rt-users@lists.fsck.com
http://lists.fsck.com/mailman/listinfo/rt-users

Have you read the FAQ? The RT FAQ Manager lives at http://fsck.com/rtfm

Larry Rosenman http://www.lerctr.org/~ler
Phone: +1 972-414-9812 E-Mail: ler@lerctr.org
US Mail: 1905 Steamboat Springs Drive, Garland, TX 75044-6749